import java.util.HashSet;

/**
 * Diese Klasse haelt eine Aufzaehlung der akzeptierten Befehlswoerter.
 * Mit ihrer Hilfe werden eingetippte Befehle erkannt.
 *
 * @author  tebe
 * @version 1.0
 */
public enum Befehlswort {

	UNBEKANNT("unbekannt"), GEHE("gehe"), HILFE("hilfe"), BEENDEN("beenden");

	/*
	Das Befehlswort als String
	 */
	private String befehl;

	public static Befehlswort gibBefehlswort(String wort) {
		for(Befehlswort befehlswort : Befehlswort.values()){
			if(befehlswort.getBefehl().equals(wort)) {
				return befehlswort;
			}
		}
		return null;
	}

	public static String gibBefehlsworteAlsText() {
		String string = "";
		for(Befehlswort befehlswort : Befehlswort.values()){
			string += befehlswort.getBefehl() + " ";
		}
		return string;
	}

	/**
	 * Konstruktor - Speichere das Befehlswort als String
	 * @param befehlswort
	 */
	Befehlswort(String befehlswort)
	{
		this.befehl = befehlswort;
	}

	/**
	 * Gibt das Datenfeld befehl zurueck.
	 *
	 * @return Das Befehlswort als String
	 */
	public String getBefehl() {
		return befehl;
	}


}
